From b3db7edd8df0bdb471ce704f7922d35885942fa2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Sch=C3=A4fer?= <f.schaefer@finn.de>
Date: Sun, 4 Sep 2011 20:55:20 +0200
Subject: Move open_id_authentication to Gemfile

The bundled open_id_authentication plugin has some Rails 3
incompatibilities.

--HG--
extra : source : 0dc77e41c6550c9ad9201b7db9622793b191f08f
---
 Gemfile                                            |    2 +
 vendor/plugins/open_id_authentication/CHANGELOG    |   35 ---
 vendor/plugins/open_id_authentication/README       |  231 -------------------
 vendor/plugins/open_id_authentication/Rakefile     |   22 --
 .../open_id_authentication_tables_generator.rb     |   12 -
 .../templates/migration.rb                         |   21 --
 .../templates/migration.rb                         |   27 ---
 ...rade_open_id_authentication_tables_generator.rb |   12 -
 vendor/plugins/open_id_authentication/init.rb      |   17 --
 .../lib/open_id_authentication.rb                  |  242 --------------------
 .../lib/open_id_authentication/association.rb      |   10 -
 .../lib/open_id_authentication/db_store.rb         |   56 -----
 .../lib/open_id_authentication/mem_cache_store.rb  |   74 ------
 .../lib/open_id_authentication/nonce.rb            |    6 -
 .../lib/open_id_authentication/request.rb          |   24 --
 .../lib/open_id_authentication/timeout_fixes.rb    |   21 --
 .../lib/tasks/open_id_authentication_tasks.rake    |   31 ---
 .../test/mem_cache_store_test.rb                   |  152 ------------
 .../open_id_authentication/test/normalize_test.rb  |   33 ---
 .../test/open_id_authentication_test.rb            |   47 ----
 .../open_id_authentication/test/status_test.rb     |   15 --
 .../open_id_authentication/test/test_helper.rb     |   18 --
 22 files changed, 2 insertions(+), 1106 deletions(-)
 delete mode 100644 vendor/plugins/open_id_authentication/CHANGELOG
 delete mode 100644 vendor/plugins/open_id_authentication/README
 delete mode 100644 vendor/plugins/open_id_authentication/Rakefile
 delete mode 100644 vendor/plugins/open_id_authentication/generators/open_id_authentication_tables/open_id_authentication_tables_generator.rb
 delete mode 100644 vendor/plugins/open_id_authentication/generators/open_id_authentication_tables/templates/migration.rb
 delete mode 100644 vendor/plugins/open_id_authentication/generators/upgrade_open_id_authentication_tables/templates/migration.rb
 delete mode 100644 vendor/plugins/open_id_authentication/generators/upgrade_open_id_authentication_tables/upgrade_open_id_authentication_tables_generator.rb
 delete mode 100644 vendor/plugins/open_id_authentication/init.rb
 delete mode 100644 vendor/plugins/open_id_authentication/lib/open_id_authentication.rb
 delete mode 100644 vendor/plugins/open_id_authentication/lib/open_id_authentication/association.rb
 delete mode 100644 vendor/plugins/open_id_authentication/lib/open_id_authentication/db_store.rb
 delete mode 100644 vendor/plugins/open_id_authentication/lib/open_id_authentication/mem_cache_store.rb
 delete mode 100644 vendor/plugins/open_id_authentication/lib/open_id_authentication/nonce.rb
 delete mode 100644 vendor/plugins/open_id_authentication/lib/open_id_authentication/request.rb
 delete mode 100644 vendor/plugins/open_id_authentication/lib/open_id_authentication/timeout_fixes.rb
 delete mode 100644 vendor/plugins/open_id_authentication/lib/tasks/open_id_authentication_tasks.rake
 delete mode 100644 vendor/plugins/open_id_authentication/test/mem_cache_store_test.rb
 delete mode 100644 vendor/plugins/open_id_authentication/test/normalize_test.rb
 delete mode 100644 vendor/plugins/open_id_authentication/test/open_id_authentication_test.rb
 delete mode 100644 vendor/plugins/open_id_authentication/test/status_test.rb
 delete mode 100644 vendor/plugins/open_id_authentication/test/test_helper.rb

diff --git a/Gemfile b/Gemfile
index 215eb00..71c9f83 100644
--- a/Gemfile
+++ b/Gemfile
@@ -14,6 +14,8 @@ gem 'gravatarify', '~> 3.0.0'
 gem "fastercsv", "~> 1.5.0", :platforms => [:ruby_18, :jruby, :mingw_18]
 # TODO rails-3.2: review the core changes to awesome_nested_set and decide on actions
 gem 'awesome_nested_set'
+# TODO rails-3.2: review the core changes to open_id_authentication and decide on actions
+gem 'open_id_authentication'
 
 group :test do
   gem 'shoulda', '~> 2.10.3'
